extends layout
block content
  include mixins/all
  
  +page_header(document.data)

  .container
    .actualite-grid.clearfix(data-columns)
      for actualite in actualites.results
        .actualite-item
          .actualite-head-wrapper
            if actualite.data.image.url
              picture
                source(srcset=actualite.data.image.url)
                img.img-responsive(src=actualite.data.image.url)
            .actualite-head
              if actualite.data.title
                h2.actualite-title!= PrismicDOM.RichText.asText(actualite.data.title, ctx.linkResolver)
              .actualite-meta
                if actualite.data.date_publication
                  - var post_date = moment(PrismicDOM.Date(actualite.data.date_publication), null, "fr");
                  .actualite-post-date #[i.fa.fa-clock] Posté le #{post_date.format("LL")}
                //- if actualite.data.actualite_web_link && actualite.data.actualite_web_link.url
                //-   - var link = actualite.data.actualite_web_link;
                //-   - var linkUrl = PrismicDOM.Link.url(link, ctx.linkResolver);
                //-   - var targetAttr = link.target ? { 'target': link.target, 'rel': 'noopener' } : {};
                //-   .actualite-web-link
                //-     a(href=linkUrl)&attributes(targetAttr) #[i.fa.fa-link]Accéder au lien
                    
          .actualite-body
            if actualite.data.embed
              .actualite-embedded
                !=actualite.data.embed.html
            if actualite.data.text
              .actualite-text
                !=PrismicDOM.RichText.asHtml(actualite.data.text, ctx.linkResolver)   
          
          each slice in actualite.data.body
            case slice.slice_type 
              when "lien"
                each link_item in slice.items
                  if (link_item && link_item.link)
                    .actualite-actions.text-center
                      - var link = link_item.link;
                      - var linkUrl = PrismicDOM.Link.url(link, ctx.linkResolver);
                      - var targetAttr = link.target ? { 'target': link.target, 'rel': 'noopener' } : {};
                      a.actualite-web-link.btn.btn-success(href=linkUrl)&attributes(targetAttr) 
                        i.fa.fa-external-link-alt
                        if link_item.link_title.length
                          span!= PrismicDOM.RichText.asText(link_item.link_title, ctx.linkResolver)
                        else
                          span Accéder au lien
    +paginator()
  script(src="/js/lib/salvattore.min.js")

mixin paginator()
  if actualites.total_pages > 1
    .paginator
      if actualites.page > 1
        a.btn.btn-success(href="/actualites/"+(actualites.page-1)) Page précédente
      h2 Page #{actualites.page} sur #{actualites.total_pages}
      if actualites.page < actualites.total_pages
        a.btn.btn-success(href="/actualites/"+(actualites.page+1)) Page suivante
